Bug 198772 - document mirroring in man pages
document mirroring in man pages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-13 09:48 EDT by Jan Wildeboer
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: lvm2-2.02.06-6.0.RHEL4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 14:02:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to add mirror descriptions to man pages (7.85 KB, text/x-patch)
2006-07-13 15:09 EDT, Jonathan Earl Brassow
no flags Details

  None (edit)
Description Jan Wildeboer 2006-07-13 09:48:28 EDT
Description of problem:

The manpage of lvcreate is missing the explanation/description of the -m option
(mirroring)

Version-Release number of selected component (if applicable):

# lvcreate --version
  LVM version:     2.02.01 (2005-11-23)
  Library version: 1.02.02 (2006-01-04)
  Driver version:  4.5.0


How reproducible:

man lvcreate

Steps to Reproduce:
1. man lvcreate
2. look for -m description
3. get surprised :-)
  
Actual results:

No description

Expected results:

Description of mirroring option and maybe a notice that you need at least 3
physical volumes in the volume group for this option to work.

Additional info:

mirroring was added in RHEL4U2. Usage info of lvcreate reflects this, man page
does not.
Comment 1 Jan Wildeboer 2006-07-13 11:07:36 EDT
> The manpage of lvcreate is missing the explanation/description of the -m option
> (mirroring)

Same for lvextend, lvreduce

Comment 2 Jan Wildeboer 2006-07-13 11:18:27 EDT
Summary:

lv* missing description of -m --mirror option

lvconvert has no man page

Comment 3 Jonathan Earl Brassow 2006-07-13 15:09:00 EDT
Created attachment 132399 [details]
Patch to add mirror descriptions to man pages
Comment 4 Jonathan Earl Brassow 2006-10-24 17:20:47 EDT
man pages should be updated.
Comment 5 Corey Marthaler 2006-12-18 17:59:30 EST
marking verified.

Note You need to log in before you can comment on or make changes to this bug.